Subject: Re: [V2 PATCH 3/3] powerpc: Fix Unaligned LE Floating Point Loads and Stores

From: Tom Musta <[email-masked]>
Date: Thu, 12 Dec 2013 14:33:36 -0600

On 12/12/2013 9:08 AM, Tom Musta wrote:
> On 12/10/2013 10:57 PM, Paul Mackerras wrote:
>> On Wed, Dec 11, 2013 at 02:54:40PM +1100, Paul Mackerras wrote:
> 
>>> This breaks 32-bit big-endian (as well as making the code longer and
>>> more complex).
>>
>> And in fact none of this code will get executed in little-endian mode
>> anyway, since we still have this in the middle of emulate_step():
>>
>> 	/*
>> 	 * Following cases are for loads and stores, so bail out
>> 	 * if we're in little-endian mode.
>> 	 */
>> 	if (regs->msr & MSR_LE)
>> 		return 0;
>>
>> Paul.
>>
> 
> See patch 1/3 to explain how it becomes relevant in LE.
> 
> I will take another look at the change.
> 

It appears that patch 1/3 never got picked up, even though I thought Ben & I
had worked through that.

And I agree that the code could be simpler.  I will work up a patch to address
these two issues.